Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in XRootD
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in XRootD
ID: 201903-11
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Do, 14. März 2019, 09:19
Referenzen: https://nvd.nist.gov/vuln/detail/CVE-2017-1000215
Applikationen: XRootD

Originalnachricht


--7qSK/uQB79J36Y4o
Content-Type: text/plain; charset=utf-8
Content-Disposition: inlin
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201903-11
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: XRootD: Remote code execution
Date: March 14, 2019
Bugs: #638420
ID: 201903-11

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A vulnerability was discovered in XRootD which could lead to the remote
execution of code.

Background
==========

A project that aims at giving high performance, scalable, and fault
tolerant access to data repositories of many kinds.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 net-libs/xrootd < 4.8.3 >= 4.8.3

Description
===========

A shell command injection was discovered in XRootD.

Impact
======

A remote attacker could execute arbitrary code.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All XRootD users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-libs/xrootd-4.8.3"

References
==========

[ 1 ] CVE-2017-1000215
https://nvd.nist.gov/vuln/detail/CVE-2017-1000215

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201903-11

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2019 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

https://creativecommons.org/licenses/by-sa/2.5

--7qSK/uQB79J36Y4o
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAABCAAdFiEEiDRK3jyVBE/RkymqpRQw84X1dt0FAlyJsCoACgkQpRQw84X1
dt3UYgf+PW62+qokFYY4OgmcQKabKwUu5lOMzEhZHYmrh5M5NqFPfYUGLsl8kAlX
R6Grolr1fuIft6W59NJekUMohtw+ED7tQejjDKoprqCxZi7IlsG7KFg3KSYZKpJL
N9gOG8yVrY+l74ZiJR7jmm9+GjUDCxG/xHFOINYUxgnTlrM4JwP5++Cb9gVvPX0F
9xHgaFSdBh8a3yuE3vv+Zv/V7t7rr3MD3OyWQPOauXEca5lPZ/3H5/Km3VxAda0Z
A3RbYvKuyW9pqJu3g4Rb9erEaKIHMnRiVBBdFdewknDeEemHn0H19ZqOr6rO0yuj
kIivlPvSpHdgSx8YQ1ikhwexs0ppPA==
=xzSK
-----END PGP SIGNATURE-----

--7qSK/uQB79J36Y4o--
Pro-Linux
Pro-Linux @Twitter
Neue Nachrichten
Werbung